/* Website: https://lazer-bunny.neocities.org/ */

/* defines variables */
:root {
  --primary-color: #ccd8ec; 
  --secondary-color: #f1f5fd;
  --teritary-color: #adb2d8;
  --primary-border-color: #6768a1;
  --secondary-border-color: #ccd8ec;
  --outer-border-width: 5px;
  --inner-border-width: 3px;
  --header-font-size: 20px;
  --text-font-size: 8px;
  --primary-font: "Pixelify Sans", 'Courier New', Courier, monospace;

}

/* Makes borders and padding inclusive in sizing */
* {
  box-sizing: border-box;
  font-family: var(--primary-font);
}


/* Changes the background */
body {
  background-color: var(--secondary-color);
  background-size: cover;
  background-image: url("../imgs/cat_background.jpg");
}

/* Div containing all other divs */
#main-website {
  border: var(--outer-border-width) var(--primary-border-color) solid;
  margin: 1rem 10rem;
  display: flex;
  flex-direction: column;
  border-radius: 10px;
  background-color: var(--primary-color);
}

/* Clears the style from headings */
.clear-h-style {
  margin: 0;
  font-weight: 100;
}

/* Specificies a standard for all sections */
section {
  display: flex;
  border: var(--inner-border-width) var(--primary-border-color) solid;
  margin: .5em;
}

/* ---- header-section styling ---- */
.header-section {
  display: flex;
  align-items: center;
  flex-direction: column;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  background-image: url(../imgs/banner.jpg);
  height: 13rem;
  padding-top: 5em;
  justify-content: end;
}


/* marquee styling */
.header-section .marquee p {
    margin: .5em 0;
    padding-left: 50%;
    width: max-content;
    animation: marquee 35s linear infinite;
}

@keyframes marquee {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(-150%);
  }

}

.header-section .marquee {
  background-color: var(--primary-color);
  background: linear-gradient(10deg, var(--secondary-color), var(--teritary-color), var(--primary-color) 50%);
  border-top: var(--inner-border-width) var(--primary-border-color) double;
  font-family: var(--primary-font);
  text-shadow: 1px 2px var(--primary-border-color);
  align-self: stretch;
  overflow: hidden;
}



/* --- center-section styling ---- */
#center-section {
  display: flex;
  border: none;
  margin: 0;
}

/* --- main-page-section styling  --- */
.main-page-section {
  flex: 2;
  display: flex;
  flex-direction: column;
  background-image: url("../imgs/main_section_background.gif");
  background-size: cover;
}


/* title bar styling */
.desktop-title-bar {
  border-top: var(--inner-border-width) var(--secondary-border-color) solid;
  border-left: var(--inner-border-width) var(--secondary-border-color) solid;
  border-right: var(--inner-border-width) var(--primary-border-color) solid;
  border-bottom: var(--inner-border-width) var(--primary-border-color) solid;
  background: linear-gradient(in hsl, var(--secondary-color), var(--primary-color));
  display: flex;
  justify-content: space-between;
  align-items:start;
  padding: 0.5em;
}

.desktop-title-bar h2 {
  font-size: var(--header-font-size);
  font-weight: 500;
  font-family: var(--primary-font);
  text-shadow: 1px 2px var(--primary-border-color);
}

.desktop-corner-icons {
  display: flex;
  gap: 0.5rem;
  
}

.desktop-corner-icons div {
  width: 1.5em;
  height: 1.5em;
  font-size: small;
  font-family: var(--primary-font);
  display: flex;
  justify-content: center;
  border-top: var(--inner-border-width) var(--secondary-border-color) solid;
  border-left: var(--inner-border-width) var(--secondary-border-color) solid;
  border-right: var(--inner-border-width) var(--primary-border-color) solid;
  border-bottom: var(--inner-border-width) var(--primary-border-color) solid;
}


/* inner sidebar section styling */
.inner-sidebar-section {
  border-bottom: var(--inner-border-width) var(--primary-border-color) solid;
}

/* about me container styling */
#about-me-container {
  padding: 0 1em;
  border-top: var(--inner-border-width) var(--secondary-color) solid;
  border-left: var(--inner-border-width) var(--secondary-color) solid;
  border-right: var(--inner-border-width) var(--primary-border-color) solid;
  border-bottom: var(--inner-border-width) var(--primary-border-color) solid;  background-color: var(--primary-color);
  margin: 2em;
  font-family: var(--primary-font);
}

/* about me content styling */
#about-me-content img {
  max-width: 200px;
  float: right;
  margin: 1rem 0 1rem 1rem;
}

#about-me-content iframe {
  width: 100%;
}

/* sidebar styling */
.sidebar-section {
  flex: 1;
  width: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--secondary-color);
}
/* left sidebar styling */

/* directory styling */
.directory-section {
  border-bottom: var(--inner-border-width) var(--primary-border-color) solid;
  background-image: url("../imgs/sidebar_background.jpg");
  background-size: 4.5em;
  background-repeat: repeat-x;
  font-family: var(--primary-font);
  padding-left: 1em;
  list-style-type: square;
}

.directory-section li {
  transition: transform 0.5s ease-in-out;
}

.directory-section li:hover {
  transform: translateX(5%);
}

.directory-section a,
.directory-section a:active,
.directory-section a:visited
 {
  color: black;
}


/* right sidebar styling */
#chatbox {
  display: flex;
  height: 100%;
}
/* random art styling */
#random-art-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1em;
  max-height: 26em;
  min-height: 26em;

}

#random-art-section p {
  margin: 0;
}

#random-art-section img {
  border: var(--inner-border-width) var(--primary-border-color) solid;
  width: 100%;
  height: auto;
  margin-bottom: 1em;
}


/* music player styling*/
#musicplayer{
    background-image: url("../imgs/sidebar_background.jpg"); /* background color of player */
    background-size: 8em;

    width: 100%; /* width of the player */
    height: 12em;
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-direction: column;
}

/* make the buttons centered and a different color from the music player background */
#musicplayer-buttons {
  display: flex;
  flex-direction: column;
  background-color: var(--primary-color);
  margin: 0;
  border: 0;
  border-bottom: var(--inner-border-width) var(--primary-border-color) double;

}

.songtitle{
    padding: 5px; /* padding around song title */
    border-bottom: var(--inner-border-width) var(--primary-border-color) double ; /* border under song title */
    display: block;
    font-size: 1.3rem;
    background-color: var(--primary-color);
    background: linear-gradient(10deg, var(--secondary-color), var(--teritary-color), var(--primary-color) 50%);
    border-top: var(--inner-border-width) var(--primary-border-color) double;
    font-family: var(--primary-font);
    text-shadow: 1px 2px var(--primary-border-color);
    overflow: hidden;

}

/* marquee styling */
#musicplayer .songtitle p {
    margin: .5em 0;
    width: 10em;
    white-space: nowrap;
    animation: marquee2 8s linear infinite;
}

@keyframes marquee2 {
  0% {
    transform: translateX(150%);
  }

  100% {
    transform: translateX(-500%);
  }

}


.controls{
    font-size: 1rem !important; /* size of controls */
    background-color: var(--primary-color); /* background color of controls */
    text-align: center;
    display: flex;
    justify-content: center;
}

.controls td{
    padding:8px 5px 0px 5px; /* padding around controls */
}

.material-icons { 
    font-size: 30px;
    color: #000000;
    text-shadow: 2px 1px var(--primary-border-color);
 }

.seeking{
    background-color:vvar(--primary-color); /* background color of seeking bar */
    display:flex;
    justify-content: space-evenly;
    padding:5px; /* padding around seeking bar */
}

.current-time{
    font-family: var(--primary-font);
    padding-right:5px;
}

.total-duration{
    font-family: var(--primary-font);
    padding-left:5px;
}


input[type=range] {
   -webkit-appearance: none;
    width: 100%;
    background-color:var(--primary-color); /* background color of seeking bar - make the color same as .seeking background color */
}

input[type=range]:focus {
    outline: none;
}

/* settings for chrome browsers */
input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 2px; /* thickness of seeking track */
    cursor: help;
    background: rgb(255, 255, 255); /* color of seeking track */
}

input[type=range]::-webkit-slider-thumb {
    height: 10px; /* height of seeking square */
    width: 10px; /* width of seeking square */
    border-radius: 0px; /* change to 5px if you want a circle seeker */
    background: rgb(255, 255, 255); /* color of seeker square */
    cursor: help;
    -webkit-appearance: none;
    margin-top: -4.5px; 
}

/* settings for firefox browsers */
input[type=range]::-moz-range-track {
    width: 100%;
    height: 2px; /* thickness of seeking track */
    cursor: help;
    background: rgb(255, 255, 255); /* color of seeking track */
}

input[type=range]::-moz-range-thumb {
    height: 10px; /* height of seeking square */
    width: 10px; /* width of seeking square */
    border-radius: 0px; /* change to 5px if you want a circle seeker */
    background: rgb(255, 255, 255); /* color of seeker square */
    cursor: help;
    border:none;
}


/* footer section styling */

.footer-section {
    height: 10rem;
    background-image: url("../imgs/footer_banner.jpg");
    background-position-y: -16em;
    background-repeat: no-repeat;
    background-size: cover;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;

}